<?php

namespace Drupal\ckeditor_heading_size\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure CKEditor Heading Size settings for this site.
 */
class SettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'ckeditor_heading_size_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['ckeditor_heading_size.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['size_options'] = [
      '#type' => 'textarea',
      '#title' => $this->t('Heading Size Options'),
      '#description' => $this->t("A list of font sizes that will be available as heading sizes. Enter one font size per line e.g. <br>16px<br>24px<br>48px"),
      '#default_value' => implode("\r\n", $this->config('ckeditor_heading_size.settings')->get('size_options')) ?? '',
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('ckeditor_heading_size.settings')
      ->set('size_options', explode("\r\n", $form_state->getValue('size_options')))
      ->save();
    parent::submitForm($form, $form_state);
  }

}
